Change Signatory
Authorizations
AuthorizationstringRequired
JWT access token from POST /auth/token. Paste the token without the "Bearer " prefix.
Body
workflowIdinteger · int32Required
Responses
200
OK
application/json
isSuccessbooleanOptional
messagesstring[] · nullableOptional
errorCodeinteger · int32Optional
errorKeystring · nullableOptional
400
Bad Request
application/json
401
Unauthorized
application/json
post/api/Public/ChangeSignatory/GetSignatoryDetails
POST /api/Public/ChangeSignatory/GetSignatoryDetails HTTP/1.1
Host: demoapi-core.emsigner.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 16
{
"workflowId": 1
}{
"isSuccess": true,
"messages": [
"text"
],
"errorCode": 1,
"errorKey": "text",
"response": {
"envelopeName": "text",
"signatories": [
{
"subscriberId": 1,
"email": "text",
"name": "text",
"order": 1,
"statusId": 1,
"workId": 1
}
]
}
}Authorizations
AuthorizationstringRequired
JWT access token from POST /auth/token. Paste the token without the "Bearer " prefix.
Body
workflowIdinteger · int32Required
newSubscriberIdinteger · int32Required
oldSubscriberIdinteger · int32Required
Responses
200
OK
application/json
isSuccessbooleanOptional
messagesstring[] · nullableOptional
errorCodeinteger · int32Optional
errorKeystring · nullableOptional
400
Bad Request
application/json
401
Unauthorized
application/json
post/api/Public/ChangeSignatory/CheckSignatoryExist
POST /api/Public/ChangeSignatory/CheckSignatoryExist HTTP/1.1
Host: demoapi-core.emsigner.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 56
{
"workflowId": 1,
"newSubscriberId": 1,
"oldSubscriberId": 1
}{
"isSuccess": true,
"messages": [
"text"
],
"errorCode": 1,
"errorKey": "text",
"response": {
"code": 1,
"message": "text"
}
}Authorizations
AuthorizationstringRequired
JWT access token from POST /auth/token. Paste the token without the "Bearer " prefix.
Body
workflowIdinteger · int32Required
Responses
200
OK
application/json
isSuccessbooleanOptional
messagesstring[] · nullableOptional
errorCodeinteger · int32Optional
errorKeystring · nullableOptional
responsebooleanOptional
400
Bad Request
application/json
401
Unauthorized
application/json
post/api/Public/ChangeSignatory/SaveSignatoryDetails
POST /api/Public/ChangeSignatory/SaveSignatoryDetails HTTP/1.1
Host: demoapi-core.emsigner.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 81
{
"workflowId": 1,
"changes": [
{
"oldSubscriberId": 1,
"newSubscriberId": 1,
"workId": 1
}
]
}{
"isSuccess": true,
"messages": [
"text"
],
"errorCode": 1,
"errorKey": "text",
"response": true
}Authorizations
AuthorizationstringRequired
JWT access token from POST /auth/token. Paste the token without the "Bearer " prefix.
Query parameters
prefixstringOptional
Responses
200
OK
application/json
isSuccessbooleanOptional
messagesstring[] · nullableOptional
errorCodeinteger · int32Optional
errorKeystring · nullableOptional
401
Unauthorized
application/json
get/api/Public/ChangeSignatory/SearchSubscribers
GET /api/Public/ChangeSignatory/SearchSubscribers HTTP/1.1
Host: demoapi-core.emsigner.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"isSuccess": true,
"messages": [
"text"
],
"errorCode": 1,
"errorKey": "text",
"response": [
{
"subscriberId": 1,
"email": "text",
"name": "text"
}
]
}Last updated
